/**
  *  \file client/actions/gatax.h
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_GATAX_H
#define PCC_V2_CLIENT_ACTIONS_GATAX_H

#include "client/globalact.h"

/** "Auto tax" action. */
class WGlobalAutotaxAction : public WGlobalAction {
    class Executer;
    int what;
 public:
    enum {
        Colonists = 1,
        Natives = 2,
        Both = 3
    };
    WGlobalAutotaxAction(int what);
    WGlobalActionExecuter* prepare();
};

#endif
